import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeChangeSetInput, DescribeChangeSetOutput } from "../models/models_0";
import { deserializeAws_queryDescribeChangeSetCommand, serializeAws_queryDescribeChangeSetCommand, } from "../protocols/Aws_query";
var DescribeChangeSetCommand = (function (_super) {
    __extends(DescribeChangeSetCommand, _super);
    function DescribeChangeSetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeChangeSetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "DescribeChangeSetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeChangeSetInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeChangeSetOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeChangeSetCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryDescribeChangeSetCommand(input, context);
    };
    DescribeChangeSetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryDescribeChangeSetCommand(output, context);
    };
    return DescribeChangeSetCommand;
}($Command));
export { DescribeChangeSetCommand };
