import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetTemplateSummaryInput, GetTemplateSummaryOutput } from "../models/models_0";
import { deserializeAws_queryGetTemplateSummaryCommand, serializeAws_queryGetTemplateSummaryCommand, } from "../protocols/Aws_query";
var GetTemplateSummaryCommand = (function (_super) {
    __extends(GetTemplateSummaryCommand, _super);
    function GetTemplateSummaryCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetTemplateSummaryCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "GetTemplateSummaryCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetTemplateSummaryInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetTemplateSummaryOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetTemplateSummaryCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryGetTemplateSummaryCommand(input, context);
    };
    GetTemplateSummaryCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryGetTemplateSummaryCommand(output, context);
    };
    return GetTemplateSummaryCommand;
}($Command));
export { GetTemplateSummaryCommand };
