import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateStackSetInput, UpdateStackSetOutput } from "../models/models_0";
import { deserializeAws_queryUpdateStackSetCommand, serializeAws_queryUpdateStackSetCommand, } from "../protocols/Aws_query";
var UpdateStackSetCommand = (function (_super) {
    __extends(UpdateStackSetCommand, _super);
    function UpdateStackSetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateStackSetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "UpdateStackSetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateStackSetInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateStackSetOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateStackSetCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryUpdateStackSetCommand(input, context);
    };
    UpdateStackSetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryUpdateStackSetCommand(output, context);
    };
    return UpdateStackSetCommand;
}($Command));
export { UpdateStackSetCommand };
