import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CloudFormationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CloudFormationClient";
import { PublishTypeInput, PublishTypeOutput } from "../models/models_0";
export interface PublishTypeCommandInput extends PublishTypeInput {
}
export interface PublishTypeCommandOutput extends PublishTypeOutput, __MetadataBearer {
}

export declare class PublishTypeCommand extends $Command<PublishTypeCommandInput, PublishTypeCommandOutput, CloudFormationClientResolvedConfig> {
    readonly input: PublishTypeCommandInput;
    constructor(input: PublishTypeCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CloudFormationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<PublishTypeCommandInput, PublishTypeCommandOutput>;
    private serialize;
    private deserialize;
}
